# Client

### Client Class

The Client class is used for access to the Client connected to a [Sansar.Simulation.AgentPrivate](https://help.sansar.com/hc/en-us/articles/115003361386).

### Syntax

### Member Details

#### AgentInfo Property

> #### Syntax
>
> \[get: Sansar.Script.Interface]\
> public [AgentInfo](https://help.sansar.com/hc/en-us/articles/115003435467) **AgentInfo** { get; }
>
> **Value**
>
> > The [Sansar.Simulation.AgentInfo](https://help.sansar.com/hc/en-us/articles/115003435467) for this instance
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### ClearTutorialHint Method

> Clears any scripted tutorial hint being shown to the player
>
> #### Syntax
>
> \[Sansar.Script.Interface]\
> public [void](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.Void) **ClearTutorialHint** ()
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### ClearTutorialHint Method

> Clears any scripted tutorial hint being shown to the player
>
> #### Syntax
>
> **Parameters**
>
> > *handler*
> >
> > Handler to be called when the event completes.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### EnableAutomaticTutorialHints Method

> Enables / Disables automatic (non-scripted) tutorial hints.
>
> #### Syntax
>
> \[Sansar.Script.Interface]\
> public [void](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.Void) **EnableAutomaticTutorialHints** ([bool](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.Boolean) enabled)
>
> **Parameters**
>
> > *enabled*
> >
> > Enabled state of automatic hints.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### EnableAutomaticTutorialHints Method

> Enables / Disables automatic (non-scripted) tutorial hints.
>
> #### Syntax
>
> **Parameters**
>
> > *enabled*
> >
> > Enabled state of automatic hints.
> >
> > *handler*
> >
> > Handler to be called when the event completes.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### OpenQuestCharacterDialog Method

> Opens the quest dialog for a character.
>
> #### Syntax
>
> \[Sansar.Script.Interface]\
> public [void](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.Void) **OpenQuestCharacterDialog** ([QuestCharacter](https://help.sansar.com/hc/en-us/articles/360032874652) character)
>
> **Parameters**
>
> > *character*
> >
> > The character to open the quest dialog for.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### OpenStoreListing Method

> Opens the product's Store page.
>
> #### Syntax
>
> \[Sansar.Script.Interface]\
> public [void](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.Void) **OpenStoreListing** ([Guid](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.Guid) productId)
>
> **Parameters**
>
> > *productId*
> >
> > A product ID from a Sansar store listing.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### SendChat Method

> Sends a [string](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.String) message to the $className$.
>
> #### Syntax
>
> \[Sansar.Script.Interface]\
> \[System.Obsolete("Deprecated. Use AgentPrivate.SendChat or AgentPublic.SendChat", false)]\
> public [void](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.Void) **SendChat** ([string](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.String) message)
>
> **Parameters**
>
> > *message*
> >
> > The message to send.
>
> **Exceptions**

| Type                                                                                                    | Reason                            |
| ------------------------------------------------------------------------------------------------------- | --------------------------------- |
| [NullReferenceException](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.NullReferenceException) | If the user is no longer online.  |
| [Sansar.Script.ThrottleException](https://help.sansar.com/hc/en-us/articles/115004507283)               | If the throttle rate is exceeded. |

> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### ShowTutorialHint Method

> Show a tutorial hint to the player
>
> #### Syntax
>
> \[Sansar.Script.Interface]\
> public [void](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.Void) **ShowTutorialHint** ([TutorialHint](https://help.sansar.com/hc/en-us/articles/360027482152) hint)
>
> **Parameters**
>
> > *hint*
> >
> > The hint to show.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### ShowTutorialHint Method

> Show a tutorial hint to the player
>
> #### Syntax
>
> **Parameters**
>
> > *hint*
> >
> > The hint to show.
> >
> > *handler*
> >
> > Handler to be called when the event completes.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### SubscribeToCommand Method

> Subscribes to Command Events.
>
> #### Syntax
>
> **See Also**
>
> **Parameters**
>
> > *Command*
> >
> > The command which occurred.
> >
> > *callback*
> >
> > Callback which is executed when the event completes.
> >
> > *canceled*
> >
> > Callback which is executed when the subscription is canceled.
> >
> > *persistent*
> >
> > Optional, set to false to unsubscribe after one event.
>
> **Returns**
>
> > An [Sansar.Script.IEventSubscription](/latest/script-api-docs/sansar-script-namespace/ievent-subscription.md) that can be used to cancel the subscription.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### SubscribeToCommand Method

> Subscribes to Command Events.
>
> #### Syntax
>
> **See Also**
>
> **Parameters**
>
> > *Command*
> >
> > The command which occurred.
> >
> > *Action*
> >
> > The action which occurred.
> >
> > *callback*
> >
> > Callback which is executed when the event completes.
> >
> > *canceled*
> >
> > Callback which is executed when the subscription is canceled.
> >
> > *persistent*
> >
> > Optional, set to false to unsubscribe after one event.
>
> **Returns**
>
> > An [Sansar.Script.IEventSubscription](/latest/script-api-docs/sansar-script-namespace/ievent-subscription.md) that can be used to cancel the subscription.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### TeleportTo Method

> Teleports to the position facing the specified direction
>
> #### Syntax
>
> **Parameters**
>
> > *position*
> >
> > The teleport destination position.
> >
> > *forward*
> >
> > The teleport destination forward direction.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### TeleportToLocation Method

> Teleports the personaHandle to the locationHandle.
>
> #### Syntax
>
> \[Sansar.Script.Interface]\
> public [void](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.Void) **TeleportToLocation** ([string](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.String) avatarId, [string](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.String) locationHandle)
>
> **Parameters**
>
> > *avatarId*
> >
> > The [SceneInfo.AvatarId](https://help.sansar.com/hc/en-us/articles/115003629608#P:Sansar.Simulation.SceneInfo.AvatarId) of the destination creator.
> >
> > *locationHandle*
> >
> > The [SceneInfo.LocationHandle](https://help.sansar.com/hc/en-us/articles/115003629608#P:Sansar.Simulation.SceneInfo.LocationHandle) of the destination.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### TeleportToUri Method

> Teleports to the specified URI
>
> #### Syntax
>
> \[Sansar.Script.Interface]\
> public [void](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.Void) **TeleportToUri** ([string](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.String) sansarUri)
>
> **Parameters**
>
> > *sansarUri*
> >
> > The URI to teleport to.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### ToString Method

> A string representation of this object.
>
> #### Syntax
>
> \[Sansar.Script.Interface]\
> public override [string](http://www.go-mono.com/docs/monodoc.ashx?link=T:System.String) **ToString** ()
>
> **Returns**
>
> > A string representation of this object.
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### UI Property

> #### Syntax
>
> \[get: Sansar.Script.Interface]\
> public [UI](https://help.sansar.com/hc/en-us/articles/115003552808) **UI** { get; }
>
> **Value**
>
> > The [Sansar.Simulation.UI](https://help.sansar.com/hc/en-us/articles/115003552808) for this instance
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

#### VibrationPulse Method

> Pulses the vibration haptic motor for a control point.
>
> #### Syntax
>
> **Parameters**
>
> > *type*
> >
> > See [Sansar.Simulation.ControlPointType](https://help.sansar.com/hc/en-us/articles/115004507483)
> >
> > *intensity*
> >
> > Intensity of vibration. Intensity will be clamped to the range \[0, 1].
> >
> > *duration*
> >
> > Duration of the pulse in milliseconds. Will be clamped to the range \[0, 1000].
>
> #### Remarks
>
> #### Requirements
>
> **Namespace:** Sansar.Simulation\
> **Assembly:** Sansar.Simulation (in Sansar.Simulation.dll)\
> **Assembly Versions:** 1.1.0.0
>
> ***

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sansar.com/latest/script-api-docs/sansar-simulation-namespace/client.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
